package com.ruoyi.yh.logImport.domain.enums;

import com.ruoyi.system.user.domain.UserImportContentVO;
import com.ruoyi.yh.logImportDetail.domain.interfaces.ImportContent;
import com.ruoyi.yh.material.domain.vo.MaterialImportContentVO;
import com.ruoyi.yh.price.domain.vo.PriceImportContentVO;
import com.ruoyi.yh.prodOrder.domain.vo.ProdOrderImportContentVO;
import com.ruoyi.yh.unit.domain.vo.UnitImportContentVO;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 导入日志业务类型
 * @author wjh
 * 2024/11/7
 */
@Getter
@AllArgsConstructor
public enum LogImportBizType {

    PRICE("1", "单价", PriceImportContentVO.class),
    PROD_ORDER("2", "生产订单", ProdOrderImportContentVO.class),
    MATERIAL("3", "物料", MaterialImportContentVO.class),
    UNIT("4", "单位", UnitImportContentVO.class),
    USER("5", "用户", UserImportContentVO.class);


    private final String type;
    private final String msg;
    private final Class<? extends ImportContent> contentClazz;  // 导出的类型

    public static LogImportBizType parse(String bizType) {
        for (LogImportBizType value : LogImportBizType.values()) {
            if (value.getType().equals(bizType)) {
                return value;
            }
        }
        return null;
    }
}
