package com.ruoyi.yh.logImport.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.yh.logImport.domain.LogImportVO;
import com.ruoyi.yh.logImport.service.LogImportAssembler;
import com.ruoyi.yh.logImportDetail.domain.LogImportDetailQuery;
import com.ruoyi.yh.logImportDetail.domain.vo.LogImportDetailStatisticsByLogIdVO;
import com.ruoyi.yh.logImportDetail.service.ILogImportDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Objects;

/**
 * @author wjh
 * 2024/11/8
 */
@Service
public class LogImportAssemblerImpl implements LogImportAssembler {

    @Autowired
    private ILogImportDetailService logImportDetailService;

    @Override
    public void assembleStatistics(List<LogImportVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }
        LogImportDetailQuery query = new LogImportDetailQuery();
        query.setLogIds(CollectionUtils.map(list, LogImportVO::getLogId));
        List<LogImportDetailStatisticsByLogIdVO> statisticsList = logImportDetailService.selectStatisticsGroupByLogId(query);

        for (LogImportVO vo : list) {
            LogImportDetailStatisticsByLogIdVO statistics = statisticsList.stream()
                    .filter(item -> Objects.equals(vo.getLogId(), item.getLogId()))
                    .findFirst().orElse(null);
            vo.setStatistics(statistics);
        }
    }
}
