package com.ruoyi.yh.logImportDetail.mapper;

import com.ruoyi.yh.logImportDetail.domain.LogImportDetail;
import com.ruoyi.yh.logImportDetail.domain.LogImportDetailQuery;
import com.ruoyi.yh.logImportDetail.domain.LogImportDetailVO;
import com.ruoyi.yh.logImportDetail.domain.vo.LogImportDetailStatisticsByLogIdVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 导入日志明细Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-07
 */
public interface LogImportDetailMapper
{
    /**
     * 查询导入日志明细
     *
     * @param detailId 导入日志明细主键
     * @return 导入日志明细
     */
    public LogImportDetailVO selectLogImportDetailByDetailId(Long detailId);

    /**
     * 查询导入日志明细列表
     *
     * @param query 导入日志明细
     * @return 导入日志明细集合
     */
    public List<LogImportDetailVO> selectLogImportDetailList(@Param("query")LogImportDetailQuery query);

    /**
     * 新增导入日志明细
     *
     * @param logImportDetail 导入日志明细
     * @return 结果
     */
    public int insertLogImportDetail(LogImportDetail logImportDetail);

    /**
     * 修改导入日志明细
     *
     * @param logImportDetail 导入日志明细
     * @return 结果
     */
    public int updateLogImportDetail(@Param("data") LogImportDetail logImportDetail);

    /**
     * 删除导入日志明细
     *
     * @param detailId 导入日志明细主键
     * @return 结果
     */
    public int deleteLogImportDetailByDetailId(Long detailId);

    /**
     * 批量删除导入日志明细
     *
     * @param detailIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLogImportDetailByDetailIds(Long[] detailIds);

    /**
     * 查询日志统计,并以日志ID分组
     */
    List<LogImportDetailStatisticsByLogIdVO> selectStatisticsGroupByLogId(@Param("query") LogImportDetailQuery query);
}
