package com.ruoyi.yh.logImportDetail.service;

import com.ruoyi.yh.logImportDetail.domain.LogImportDetail;
import com.ruoyi.yh.logImportDetail.domain.LogImportDetailQuery;
import com.ruoyi.yh.logImportDetail.domain.LogImportDetailVO;
import com.ruoyi.yh.logImportDetail.domain.enums.LogImportDetailType;
import com.ruoyi.yh.logImportDetail.domain.vo.LogImportDetailStatisticsByLogIdVO;

import java.util.List;

/**
 * 导入日志明细Service接口
 *
 * @author ruoyi
 * @date 2024-11-07
 */
public interface ILogImportDetailService
{
    /**
     * 查询导入日志明细
     *
     * @param detailId 导入日志明细主键
     * @return 导入日志明细
     */
    public LogImportDetailVO selectLogImportDetailByDetailId(Long detailId);

    /**
     * 查询导入日志明细列表
     *
     * @param logImportDetail 导入日志明细
     * @return 导入日志明细集合
     */
    public List<LogImportDetailVO> selectLogImportDetailList(LogImportDetailQuery logImportDetail);

    /**
     * 新增导入日志明细
     *
     * @param logImportDetail 导入日志明细
     * @return 结果
     */
    public int insertLogImportDetail(LogImportDetail logImportDetail);

    /**
     * 修改导入日志明细
     *
     * @param logImportDetail 导入日志明细
     * @return 结果
     */
    public int updateLogImportDetail(LogImportDetail logImportDetail);

    /**
     * 批量删除导入日志明细
     *
     * @param detailIds 需要删除的导入日志明细主键集合
     * @return 结果
     */
    public int deleteLogImportDetailByDetailIds(Long[] detailIds);

    /**
     * 删除导入日志明细信息
     *
     * @param detailId 导入日志明细主键
     * @return 结果
     */
    public int deleteLogImportDetailByDetailId(Long detailId);

    /**
     * 插入一条结果
     *
     * @param logId   日志ID
     * @param type    类型
     * @param content 内容
     * @param message 信息
     * @param bstId
     */
    int addResult(Long logId, LogImportDetailType type, Object content, String message, Long bstId);

    /**
     * 查询日志统计,并以日志ID分组
     */
    List<LogImportDetailStatisticsByLogIdVO> selectStatisticsGroupByLogId(LogImportDetailQuery query);
}
