package com.ruoyi.yh.material.mapper;

import com.ruoyi.yh.material.domain.Material;
import com.ruoyi.yh.material.domain.MaterialQuery;
import com.ruoyi.yh.material.domain.MaterialVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 物料Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-12
 */
public interface MaterialMapper
{
    /**
     * 查询物料
     *
     * @param id 物料主键
     * @return 物料
     */
    public MaterialVO selectMaterialById(Long id);

    /**
     * 查询物料列表
     *
     * @param query 物料
     * @return 物料集合
     */
    public List<MaterialVO> selectMaterialList(@Param("query")MaterialQuery query);

    /**
     * 新增物料
     *
     * @param material 物料
     * @return 结果
     */
    public int insertMaterial(Material material);

    /**
     * 修改物料
     *
     * @param material 物料
     * @return 结果
     */
    public int updateMaterial(@Param("data") Material material);

    /**
     * 删除物料
     *
     * @param id 物料主键
     * @return 结果
     */
    public int deleteMaterialById(Long id);

    /**
     * 批量删除物料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMaterialByIds(Long[] ids);
}
