package com.ruoyi.yh.prodOrder.domain.enums;

import com.ruoyi.common.utils.collection.CollectionUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * @author wjh
 * 2024/11/20
 */
@Getter
@AllArgsConstructor
public enum ProdOrderErpStatus {

    PLAN("1", "计划"),
    PLAN_CONFIRM("2", "计划确认"),
    ISSUED("3", "下达"),
    START_WORK("4", "开工"),
    END_WORK("5", "完工"),
    CLOSED("6", "结案"),
    FINISHED("7", "结算");

    private final String status;
    private final String msg;

    /**
     * 允许同步的状态列表
     */
    public static List<String> canSync() {
        return CollectionUtils.map(ProdOrderErpStatus::getStatus, START_WORK, END_WORK, CLOSED, FINISHED);
    }

    /**
     * 允许报表关联的状态
     */
    public static List<String> canReport() {
        return CollectionUtils.map(ProdOrderErpStatus::getStatus, START_WORK);
    }
}
