package com.ruoyi.yh.report.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.interfaces.LogBizParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * 报表对象 bst_report
 *
 * @author ruoyi
 * @date 2024-10-18
 */
@Data
public class Report extends BaseEntity implements LogBizParam
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "报表编号")
    private Long reportId;

    @NotNull(message = "部门ID不能为空")
    private Long deptId;

    @Excel(name = "状态", dictType = DictType.REPORT_STATUS)
    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("创建人ID")
    private Long createId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("审核时间")
    private LocalDateTime verifyTime;

    @ApiModelProperty("审核人ID")
    private Long verifyId;

    @Excel(name = "审核人")
    @ApiModelProperty("审核人名称")
    private String verifyBy;

    @Excel(name = "审核意见")
    @ApiModelProperty("审核意见")
    private String verifyRemark;

    @ApiModelProperty("更新人ID")
    private Long updateId;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "报表日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("报表日期")
    @NotNull(message = "报表日期不能为空")
    private LocalDate reportDate;

    @Excel(name = "总价(元)")
    @ApiModelProperty("总金额")
    private BigDecimal totalAmount;

    @Excel(name = "创建人")
    private String createBy;

    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "更新人")
    private String updateBy;

    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 获取日志业务ID
     */
    @Override
    public Object logBizId() {
        return this.getReportId();
    }
}
