package com.ruoyi.yh.report.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2024/10/18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ReportQuery extends ReportVO {

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @ApiModelProperty("报表日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> reportDateRange;

    @ApiModelProperty("报表ID列表")
    private List<Long> reportIds;

    @ApiModelProperty("单价ID列表")
    private List<Long> priceIds;

}
