package com.ruoyi.yh.report.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.yh.reportProd.domain.ReportProdVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.Valid;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author wjh
 * 2024/10/18
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ReportVO extends Report {

    @Excel(name = "部门")
    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("部门ERP ID")
    private String deptErpId;

    @ApiModelProperty("产量数量")
    private Integer productCount;

    @ApiModelProperty("产量明细")
    @Size(min = 1, message = "至少填写一个产量明细")
    @Valid
    List<ReportProdVO> productList;
}
