package com.ruoyi.yh.report.utils;

import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdVO;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * @author wjh
 * 2024/11/20
 */

public class ReportUtils {

    /**
     * 计算报表订单产量的基础数量
     */
    public static BigDecimal calcOrderProdBaseNum(ReportOrderProdVO vo) {
        if (vo == null || vo.getPriceQuantityNumerator() == null  || vo.getPriceQuantityDenominator() == null || vo.getNum() == null) {
            return BigDecimal.ZERO;
        }
        return vo.getPriceQuantityNumerator().multiply(vo.getNum()).divide(vo.getPriceQuantityDenominator(), 2, RoundingMode.HALF_UP);
    }

}
