package com.ruoyi.yh.reportOrderProd.mapper;

import com.ruoyi.dashboard.reportOrderProd.domain.sum.ReportOrderProdSumVO;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProd;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdQuery;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdVO;
import com.ruoyi.yh.reportOrderProd.domain.vo.ReportOrderProdSumOfBaseNumGroupByOrderIdVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单产量Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-19
 */
public interface ReportOrderProdMapper
{
    /**
     * 查询订单产量
     *
     * @param id 订单产量主键
     * @return 订单产量
     */
    public ReportOrderProdVO selectReportOrderProdById(Long id);

    /**
     * 查询订单产量列表
     *
     * @param query 订单产量
     * @return 订单产量集合
     */
    public List<ReportOrderProdVO> selectReportOrderProdList(@Param("query")ReportOrderProdQuery query);

    /**
     * 新增订单产量
     *
     * @param reportOrderProd 订单产量
     * @return 结果
     */
    public int insertReportOrderProd(ReportOrderProd reportOrderProd);

    /**
     * 修改订单产量
     *
     * @param reportOrderProd 订单产量
     * @return 结果
     */
    public int updateReportOrderProd(@Param("data") ReportOrderProd reportOrderProd);

    /**
     * 删除订单产量
     *
     * @param id 订单产量主键
     * @return 结果
     */
    public int deleteReportOrderProdById(Long id);

    /**
     * 批量删除订单产量
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReportOrderProdByIds(Long[] ids);

    /**
     * 批量新增
     */
    int batchInsert(@Param("list") List<? extends ReportOrderProd> list);

    /**
     * 批量修改
     */
    int batchUpdate(@Param("list") List<? extends ReportOrderProd> list);

    /**
     * 批量逻辑删除
     */
    int batchLogicDel(@Param("ids") List<Long> ids);

    /**
     * 查询订单基础产量合计
     */
    List<ReportOrderProdSumOfBaseNumGroupByOrderIdVO> selectSumOfBaseNumGroupByOrderId(@Param("query") ReportOrderProdQuery query);

    int logicDelByReportId(Long reportId);

    /**
     * 查询订单产量统计
     */
    ReportOrderProdSumVO selectSum(@Param("query") ReportOrderProdQuery query);
}
