package com.ruoyi.yh.reportProd.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.constant.DictType;
import com.ruoyi.yh.reportOrderProd.domain.ReportOrderProdVO;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Size;
import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2024/10/31
 */
@Data
public class ReportProdVO extends ReportProd {

    @ApiModelProperty("员工产量列表")
    @Valid
    @Size(min = 1, message = "至少需要填写一条员工产量")
    private List<ReportUserProdVO> userProdList;

    @ApiModelProperty("订单产量列表")
    @Valid
    private List<ReportOrderProdVO> orderProdList;

    @ApiModelProperty("工序部门ID")
    private Long priceDeptId;

    @ApiModelProperty("工序状态")
    private String priceStatus;

    @ApiModelProperty("报表状态")
    @Excel(name = "报表状态", dictType = DictType.REPORT_STATUS)
    private String reportStatus;

    @ApiModelProperty("报表部门名称")
    private String deptName;

    @ApiModelProperty("报表日期")
    private LocalDate reportDate;

    @ApiModelProperty("报表部门ID")
    private Long deptId;
}
