package com.ruoyi.yh.reportUserProd.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

/**
 * @author wjh
 * 2024/11/2
 */
@Data
public class ReportUserProdQuery extends ReportUserProdVO {

    @ApiModelProperty("产量ID列表")
    private List<Long> prodIds;

    @ApiModelProperty("年份")
    private Integer year;

    @ApiModelProperty("月份")
    private Integer month;

    @ApiModelProperty("起始日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;

    @ApiModelProperty("结束日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;

    @ApiModelProperty("报表日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> reportDateRange;

}
