package com.ruoyi.yh.reportUserProd.service;

import com.ruoyi.yh.reportUserProd.domain.ReportUserProd;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdQuery;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdVO;
import com.ruoyi.yh.reportUserProd.domain.vo.ReportUserProdGroupByDateVO;
import com.ruoyi.yh.reportUserProd.domain.vo.ReportUserProdGroupByYearMonthVO;

import java.util.List;

/**
 * 员工产量Service接口
 *
 * @author ruoyi
 * @date 2024-11-02
 */
public interface ReportUserProdService
{
    /**
     * 查询员工产量
     *
     * @param id 员工产量主键
     * @return 员工产量
     */
    public ReportUserProdVO selectReportUserProdById(Long id);

    /**
     * 查询员工产量列表
     *
     * @param reportUserProd 员工产量
     * @return 员工产量集合
     */
    public List<ReportUserProdVO> selectReportUserProdList(ReportUserProdQuery reportUserProd);

    /**
     * 新增员工产量
     *
     * @param reportUserProd 员工产量
     * @return 结果
     */
    public int insertReportUserProd(ReportUserProd reportUserProd);

    /**
     * 修改员工产量
     *
     * @param reportUserProd 员工产量
     * @return 结果
     */
    public int updateReportUserProd(ReportUserProd reportUserProd);

    /**
     * 批量删除员工产量
     *
     * @param ids 需要删除的员工产量主键集合
     * @return 结果
     */
    public int deleteReportUserProdByIds(Long[] ids);

    /**
     * 删除员工产量信息
     *
     * @param id 员工产量主键
     * @return 结果
     */
    public int deleteReportUserProdById(Long id);

    /**
     * 批量新增
     * @param list
     * @return
     */
    int batchInsert(List<? extends ReportUserProd> list);

    /**
     * 根据报表ID查询列表
     *
     * @param reportId
     * @return
     */
    List<ReportUserProdVO> selectListByReportId(Long reportId);

    /**
     * 批量更新
     */
    int batchUpdate(List<? extends ReportUserProd> list);

    /**
     * 批量删除
     */
    int batchLogicDel(List<? extends ReportUserProd> list);

    List<ReportUserProdGroupByYearMonthVO> selectListGroupByYearMonth(ReportUserProdQuery query);

    List<ReportUserProdGroupByDateVO> selectListGroupByDate(ReportUserProdQuery query);

    int logicDelByReportId(Long reportId);
}
