package com.ruoyi.yh.shift.mapper;

import com.ruoyi.yh.shift.domain.Shift;
import com.ruoyi.yh.shift.domain.ShiftQuery;
import com.ruoyi.yh.shift.domain.ShiftVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 调班Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-07
 */
public interface ShiftMapper
{
    /**
     * 查询调班
     *
     * @param shiftId 调班主键
     * @return 调班
     */
    public ShiftVO selectShiftByShiftId(Long shiftId);

    /**
     * 查询调班列表
     *
     * @param query 调班
     * @return 调班集合
     */
    public List<ShiftVO> selectShiftList(@Param("query")ShiftQuery query);

    /**
     * 新增调班
     *
     * @param shift 调班
     * @return 结果
     */
    public int insertShift(Shift shift);

    /**
     * 修改调班
     *
     * @param shift 调班
     * @return 结果
     */
    public int updateShift(@Param("data") Shift shift);

    /**
     * 删除调班
     *
     * @param shiftId 调班主键
     * @return 结果
     */
    public int deleteShiftByShiftId(Long shiftId);

    /**
     * 批量删除调班
     *
     * @param shiftIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShiftByShiftIds(Long[] shiftIds);

    /**
     * 逻辑删除
     */
    int logicDel(@Param("shiftIds") List<Long> shiftIds);
}
