package com.ruoyi.yh.unit.service;

import com.ruoyi.yh.unit.domain.Unit;
import com.ruoyi.yh.unit.domain.UnitQuery;
import com.ruoyi.yh.unit.domain.UnitVO;

import java.util.Collection;
import java.util.List;

/**
 * 单位Service接口
 *
 * @author ruoyi
 * @date 2024-11-18
 */
public interface UnitService
{
    /**
     * 查询单位
     *
     * @param unitId 单位主键
     * @return 单位
     */
    public UnitVO selectUnitByUnitId(Long unitId);

    /**
     * 查询单位列表
     *
     * @param unit 单位
     * @return 单位集合
     */
    public List<UnitVO> selectUnitList(UnitQuery unit);

    /**
     * 新增单位
     *
     * @param unit 单位
     * @return 结果
     */
    public int insertUnit(Unit unit);

    /**
     * 修改单位
     *
     * @param unit 单位
     * @return 结果
     */
    public int updateUnit(Unit unit);

    /**
     * 批量删除单位
     *
     * @param unitIds 需要删除的单位主键集合
     * @return 结果
     */
    public int deleteUnitByUnitIds(Long[] unitIds);

    /**
     * 删除单位信息
     *
     * @param unitId 单位主键
     * @return 结果
     */
    public int deleteUnitByUnitId(Long unitId);

    /**
     * 同步ERP单位
     */
    void sync(Long operaId);

    List<UnitVO> selectByErpIds(Collection<String> erpIds);
}
