package com.ruoyi.yh.unit.service.impl;

import com.alibaba.fastjson2.JSONArray;
import com.ruoyi.common.k3cloud.constants.fileds.K3UnitField;
import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.yh.unit.domain.Unit;
import com.ruoyi.yh.unit.service.UnitConverter;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author wjh
 * 2024/11/18
 */
@Service
public class UnitConverterImpl implements UnitConverter {
    @Override
    public List<Unit> toPoByErpList(List<String> headers, List<JSONArray> erpList) {
        if (CollectionUtils.isEmpty(headers) || CollectionUtils.isEmpty(erpList)) {
            return Collections.emptyList();
        }

        // 创建erpList大小的对象列表
        List<Unit> result = new ArrayList<>(erpList.size());

        for (JSONArray row : erpList) {
            Unit po = new Unit();
            for (int i = 0; i < headers.size(); i++) {
                String header = headers.get(i);
                switch (header) {
                    case K3UnitField.F_UNIT_ID:
                        po.setErpId(row.getString(i));
                        break;
                    case K3UnitField.F_NAME:
                        po.setErpName(row.getString(i));
                        break;
                    case K3UnitField.F_NUMBER:
                        po.setErpNumber(row.getString(i));
                        break;
                    case K3UnitField.F_FORBID_STATUS:
                        po.setErpForbidStatus(row.getString(i));
                        break;
                    default:
                        break;
                }
            }
            result.add(po);
        }

        return result;
    }
}
