package com.ruoyi.web.yh;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.yh.dashboard.service.DashboardService;
import com.ruoyi.yh.reportUserProd.domain.ReportUserProdQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wjh
 * 2025/1/14
 */
@RestController
@RequestMapping("/yh/dashboard")
public class DashboardController extends BaseController {

    @Autowired
    private DashboardService dashboardService;

    /**
     * 查询员工产量统计
     */
    @PreAuthorize("@ss.hasPermi('yh:reportUserProd:list')")
    @GetMapping("/userProd")
    @DataScope(deptAlias = "sd")
    public AjaxResult getUserProd(ReportUserProdQuery query) {
        return success(dashboardService.selectUserProd(query));
    }
}
